local entity = import 'entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/locations/site',
  title: 'Site',
  description: |||
    A site.

    Buildings are optionally defined in-place.
  |||,

  properties+: {
    buildings: {
      type: 'array',
      description: 'Buildings at this site.',
      items:
        {
          '$ref': 'https://picc.app/schemata/v0.1-dev/building#',
        },
    },
  },
}
