local entity = import 'entity.libsonnet';
local types = import 'types.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/locations/building',
  title: 'Building',
  description: |||
    A building.

    Rooms are optionally defined in-place.
  |||,

  properties+: {
    site: types.id,
    location: types.location,
    rooms: {
      type: 'array',
      description: 'Rooms contained in this building.',
      items:
        {
          '$ref': 'https://picc.app/schemata/v0.1-dev/locations/room#',
        },
    },
  },
}
